"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = require("../../config");

var _config2 = _interopRequireDefault(_config);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _nodePearls = require("node-pearls");

var _cliConsole = require("cli-console");

var _cliConsole2 = _interopRequireDefault(_cliConsole);

var _tarZip = require("../../utils/tar&zip");

var _tarZip2 = _interopRequireDefault(_tarZip);

var _aos = require("../../utils/aos");

var _aos2 = _interopRequireDefault(_aos);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = (() => {
    var _ref = _asyncToGenerator(function* (options) {
        // 要打包的平台
        _cliConsole2.default.log("进入web-business");

        const platforms = options.platforms.split(",");
        const businessName = options.businessName;
        const version = options.version;
        const currentDir = process.cwd();
        const aosPath = options.businessName + "_" + options.aosVersion.replace(/\./g, "-") + "_TEST/";
        const ftpStaticPath = "ftp://acp:acp_scmpf123!@#@scmpf.corp.elong.com/";

        if (!options.combo) {}
        //拆包接口请求，改名字


        //打包
        if (options.combo) {
            var path = options.path ? options.path : "web/elongfe/enjoy/combo/";
            try {
                var result = yield (0, _aos2.default)({
                    platform: platforms,
                    version: options.version,
                    combo: true
                });

                if (result) {
                    yield (0, _nodePearls.runCommands)(`
                    wput ./ ${ftpStaticPath}${path}${businessName}/${aosPath}
                `, {
                        cwd: process.cwd() + "/aos"
                    });
                }
            } catch (ex) {
                _cliConsole2.default.log(ex);
            }
        } else {
            var path = options.path ? options.path : "web/elongfe/enjoy/mods/";
            try {
                var result = yield (0, _aos2.default)({
                    platform: platforms,
                    version: options.version,
                    combo: false
                });

                if (result) {
                    yield (0, _nodePearls.runCommands)(`
                    wput ./ ${ftpStaticPath}${path}${businessName}/${aosPath}
                `, {
                        cwd: process.cwd() + "/aos"
                    });
                }
            } catch (ex) {
                _cliConsole2.default.log(ex);
            }
        }
    });

    return function (_x) {
        return _ref.apply(this, arguments);
    };
})();