"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (options) {
    const root = process.cwd();

    (0, _glob2.default)("*.@(js|json)", {
        cwd: _path2.default.join(__dirname, "tpls")
    }, (() => {
        var _ref = _asyncToGenerator(function* (err, files) {
            yield _nodePearls2.default.copyFiles(files.map(function (file) {
                return {
                    src: _path2.default.join(__dirname, "tpls", file),
                    dist: _path2.default.join(root, file)
                };
            }));

            yield _nodePearls2.default.runCommands(`
            npm i
            npm i --save enjoy-loader${options.version ? "@" + options.version : ""}
            rm -rf ./bundle
            node build.js
        `);

            const bundleDir = _path2.default.join(root, "bundle");
            (0, _glob2.default)("*/deps.json", {
                cwd: bundleDir
            }, (() => {
                var _ref2 = _asyncToGenerator(function* (err, files) {
                    var file = files.find(function (file) {
                        return (/^enjoy\-loader@/.test(file)
                        );
                    });
                    yield _nodePearls2.default.copyFiles([{
                        src: _path2.default.join(bundleDir, file),
                        dist: _path2.default.join(bundleDir, "deps.json")
                    }]);
                });

                return function (_x3, _x4) {
                    return _ref2.apply(this, arguments);
                };
            })());
        });

        return function (_x, _x2) {
            return _ref.apply(this, arguments);
        };
    })());
};

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _path = require("path");

var _path2 = _interopRequireDefault(_path);

var _nodePearls = require("node-pearls");

var _nodePearls2 = _interopRequireDefault(_nodePearls);

var _glob = require("glob");

var _glob2 = _interopRequireDefault(_glob);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }